<?
if(isset($_POST['ok']) && isset($_POST['name']))
{
$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));
if (strlen2($name)<3)$err[]='Короткое название раздела';
if (strlen2($name)>32)$err[]='Название раздела не должно быть длиннее 32-х символов';
$mat=antimat($name);
if ($mat)$err[]='В названии раздела обнаружен мат: '.$mat;
$name=my_esc($name);
if(isset($_POST['desc']) && $_POST['desc']!=NULL)
{
$desc = esc(stripcslashes(htmlspecialchars($_POST['desc'])));
if (strlen2($desc)<3)$err[]='Короткое описание раздела';
if (strlen2($desc)>100)$err[]='Описание раздела не должно быть длиннее 100 символов';
$mat=antimat($desc);
if ($mat)$err[]='В описании раздела обнаружен мат: '.$mat;
$desc=my_esc($desc);
}
else
{
$desc=NULL;
}
if(!isset($err))
{
mysql_query("INSERT INTO `soo_cat` (`name`, `desc`) values ('$name', '$desc')");
msg('Категория успешно создана');
}
}
if(isset($_GET['edit']) && isset($_POST['name']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_cat` WHERE `id` = '".intval($_GET['edit'])."' LIMIT 1"),0)==1)
{
$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));
if (strlen2($name)<3)$err[]='Короткое название раздела';
if (strlen2($name)>32)$err[]='Название раздела не должно быть длиннее 32-х символов';
$mat=antimat($name);
if ($mat)$err[]='В названии раздела обнаружен мат: '.$mat;
$name=my_esc($name);
if(isset($_POST['desc']) && $_POST['desc']!=NULL)
{
$desc = esc(stripcslashes(htmlspecialchars($_POST['desc'])));
if (strlen2($desc)<3)$err[]='Короткое описание раздела';
if (strlen2($desc)>100)$err[]='Описание раздела не должно быть длиннее 100 символов';
$mat=antimat($desc);
if ($mat)$err[]='В описании раздела обнаружен мат: '.$mat;
$desc=my_esc($desc);
}
else
{
$desc=NULL;
}
if(!isset($err))
{
mysql_query("UPDATE `soo_cat` SET `name`='$name', `desc`='$desc' WHERE `id`='".intval($_GET['edit'])."' LIMIT 1");
msg('Категория успешно изменена');
}
}
if(isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_cat` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1"),0)==1)
{
$q=mysql_query("SELECT * FROM `soo` WHERE `id_cat`='".intval($_GET['del'])."'");
while ($delete = mysql_fetch_assoc($q))
{
mysql_query("DELETE FROM `soo_users` WHERE `id_soo`='$delete[id]'");
mysql_query("DELETE FROM `soo_chat` WHERE `id_soo`='$delete[id]'");
mysql_query("DELETE FROM `soo_news` WHERE `id_soo`='$delete[id]'");
mysql_query("DELETE FROM `soo_bl` WHERE `id_soo`='$delete[id]'");
mysql_query("DELETE FROM `soo_friends` WHERE `id_soo`='$delete[id]'");
mysql_query("DELETE FROM `soo_friends` WHERE `id_friend`='$delete[id]'");
mysql_query("DELETE FROM `soo_votes` WHERE `id_soo`='$delete[id]'");
mysql_query("DELETE FROM `soo_votes_otvet` WHERE `id_soo`='$delete[id]'");
mysql_query("DELETE FROM `soo_forums` WHERE `id_soo`='$delete[id]'");
mysql_query("DELETE FROM `soo_forum_thems` WHERE `id_soo`='$delete[id]'");
mysql_query("DELETE FROM `soo_forum_mess` WHERE `id_soo`='$delete[id]'");
mysql_query("DELETE FROM `soo` WHERE `id`='$delete[id]'");
mysql_query("DELETE FROM `soo_obmen_dir` WHERE `id_soo`='$delete[id]'");
$q2=mysql_query("SELECT * FROM `soo_obmen_files` WHERE `id_soo`='$delete[id]'");
while ($del = mysql_fetch_assoc($q2))
{
unlink(H.'sys/soo/obmen/files/'.$del['id'].'.dat');
}
mysql_query("DELETE FROM `soo_obmen_files` WHERE `id_soo`='$delid'");
mysql_query("DELETE FROM `soo_obmen_komm` WHERE `id_soo`='$delid'");
}
mysql_query("DELETE FROM `soo` WHERE `id_cat`='".intval($_GET['del'])."'");
mysql_query("DELETE FROM `soo_cat` WHERE `id`='".intval($_GET['del'])."'");
msg('Категория успешно удалена');
}
err();
?>